# Jesli masz tylko jedna domene i userrow wirtualnych wykorzystaj wpis ponizej

#listen-address: 0.0.0.0(domena.pl);tls=stls,/etc/mail/exim.crt,/etc/mail/exim.key \
#                0.0.0.0(domena.pl);tls=immediate,/etc/mail/exim.crt,/etc/mail/exim.key
max-children: 10
timeout-seconds: 30
# ten wpis traktujemy jako domyslny
listen-address: 0.0.0.0;tls=stls,/etc/mail/exim.crt,/etc/mail/exim.key \
                0.0.0.0;tls=immediate,/etc/mail/exim.crt,/etc/mail/exim.key


#dla skrzynek systemowych ustawienia mbox i maildir (domyslnie mailbox)
mailbox: bsd:/var/spool/mail/$(user)
#mailbox: maildir:$(home)/Mailbox

# Wczmy moliwo zalogowania si via PAM, czyli dla normalnych
# lokalnych kont:

auth-pam-enable: yes
auth-pam-facility: tpop3d
auth-pam-mail-group: mail

#odhaszuj jeli masz jedn domen i wirtualnych userow
#append-domain: yes

# Autoryzacja uytkownikw z MySQL'a:
auth-mysql-enable: yes
auth-mysql-mail-group: mail
auth-mysql-hostname: localhost
auth-mysql-database: poczta
auth-mysql-username: poczta
auth-mysql-password: twoje_haslo
auth-mysql-pass-query: SELECT CONCAT('/var/spool/mail/','$(domain)','/', '$(local_part)'), CONCAT('{crypt_md5}', haslo), 'mail', 'maildir' FROM skrzynki WHERE nazwa = '$(local_part)' AND domena = '$(domain)'
auth-mysql-onlogin-query: UPDATE skrzynki SET polaczenie=CURDATE() WHERE nazwa='$(local_part)' and domena='$(domain)'

							     